Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Updating to the latest JavaSE 8 in an older version of Eclipse?
Updating to the latest JavaSE 8 in an older version of Eclipse? [message #1772792] Fri, 15 September 2017 09:16 Go to next message
RajibKumar Bandopadhyay is currently offline RajibKumar BandopadhyayFriend
Messages: 58
Registered: July 2014
Member
Follows from this post: Re: Contextual Method- & Object- list & support during typing of codes?

I have the following version of Eclipse:
Quote:
Version: 3.8.0
Build id: I20120502-2000


And the following version of Java in my system:
Quote:
java version "1.6.0_27"
OpenJDK Runtime Environment (IcedTea6 1.12.5) (6b27-1.12.5-1)
OpenJDK Client VM (build 20.0-b12, mixed mode, sharing)


I am attaching the Eclipse → Window → Preferences → Installed JREs → Execution Environments
index.php/fa/30753/0/

I want to update my version of JavaSE to the latest Version8. Does the earlier version of Eclipse permit the latest version of Java?

I use a pre-built Knoppix 7.2.0 so I am not sure whether the native Knoppix (Debian) flavour of OpenJDK could at all be replaced. So could Eclipse install the latest Java edition within its own user-directory?

[Updated on: Mon, 18 September 2017 11:36]

Report message to a moderator

Re: Updating to the latest JavaSE 8 in an older version of Eclipse? [message #1772816 is a reply to message #1772792] Fri, 15 September 2017 15:45 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30904
Registered: July 2009
Senior Member
Yes. Eclipse won't install a JDK for you. You have to do that yourself and then you can point Eclipse to it.
Re: Updating to the latest JavaSE 8 in an older version of Eclipse? [message #1772833 is a reply to message #1772816] Sat, 16 September 2017 04:20 Go to previous message
RajibKumar Bandopadhyay is currently offline RajibKumar BandopadhyayFriend
Messages: 58
Registered: July 2014
Member
Ha, Ha!
I overlooked that part!
So I have followed the installation help file, viz, these :
Quote:
To add a new JRE definition:
Open the Java > Installed JREs preference page.
Select the Add... button. The Add JRE wizard opens.
You will have to select the type of JRE you would like to create:
Standard VM - You will select a folder where the JRE is installed. The details of the JRE will be determined by scanning the location. You can further customize the JRE install, specifying vm arguments, source attachments, etc.
Standard VM 1.x.x - Same options as a standard VM install, but the install is customized to handle the 1.x.x install
Execution Environment Description - You will select an execution environment (EE) file that describes all the details required to set up the JRE. You will be able to customize some aspects of the install.

VM I could add. Snapshot attached.index.php/fa/30765/0/

Further on Updating the Java version in Eclipse?

[Updated on: Mon, 18 September 2017 09:49]

Report message to a moderator

Previous Topic:Activate & deactivate any single-class among a multi-class Java project?
Next Topic:Eclispe Wont Run
Goto Forum:
  


Current Time: Wed Feb 26 01:13:28 GMT 2020

Powered by FUDForum. Page generated in 0.03986 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top